import React from 'react';
import {BottomSheetHandle, BottomSheetHandleProps} from '@gorhom/bottom-sheet';
import {useTheme} from '@shared/theme';

import {styles} from './styles';

export type HandleProps = BottomSheetHandleProps;

export function Handle(props: HandleProps) {
  const {theme} = useTheme();

  return (
    <BottomSheetHandle
      {...props}
      indicatorStyle={[
        styles.indicator,
        {backgroundColor: theme.border.neutral.default},
      ]}
    />
  );
}
